:root {
  /*grigi*/
  --bianco: #ffffff;
  --grigio95: #fafcfc;
  --grigio90: #e6e6e6;
  --grigio80: #bbbdbd;
  --grigio70: #7c7d7d;
  --grigio60: #6f7070;
  --grigio50: #565757;
  /*blu*/
  --blu90: #15a0fd;
  --blu80: #128fe3;
  --blu70: #0f77bd;
  --blu60: #0a4f7d;
  --blu50: #05273d;
  /* info */
  --rosso: #fc3d26;
  --giallo: #fcca2d;
  --verde: #05b529;
  /* colori grafici / tabelle */
  --rosa: #fc7e91;
  --viola: #843ffc;
  --corallo: #fc3250;
  --azzurro: #1d9fdb;
  --arancio: #fc9b26;
  /* fondini */
  --azzurroTRS: rgba(57, 150, 250, 0.1);
  --grigio50TRS: rgba(86, 87, 87, 0.8);
  /* font */
  --regular: 400;
  --semiBold: 600;
  --bold: 700;
}

/* UTILITY */
.noFloat {
  float: none;
}

.noPadding {
  padding: 0 !important;
}

.nascondi {
  display: none;
}

a {
  color: var(--blu90);
}

a:hover, a:focus, a:active {
  color: var(--blu60);
}

.clearfix {
  clear:both;
}

/* SPINNER */
.dt-loader::after,
.dt-loader,
.dt-loader::before {
  background-color: var(--blu90) !important;
}

/* PULSANTI ED ELEMENTI FORM */
.containerPulsanteGenerico {
  margin-bottom: 24px;
  text-align: right;
}

.pulsante {
  font-weight: var(--semiBold);
  color: var(--bianco) !important;
  text-transform: uppercase;
  font-size: 13px !important;
  border: 2px solid var(--blu90) !important;
  border-radius: 5px !important;
  min-width: 120px;
  text-align: center;
  line-height: 1;
  padding: 8px 32px;
  background-color: var(--blu90) !important;
  margin-bottom: 0 !important;
}

.pulsante:hover {
  background-color: var(--bianco) !important;
  color: var(--blu90) !important;
  border: 2px solid var(--blu90) !important;
}

button.btn.pulsanteAzione2,
.btn.btn-default.pulsanteAzione2,
button.btn.bs-deselect-all,
button.btn.bs-select-all {
  font-weight: var(--semiBold);
  color: var(--grigio70) !important;
  text-transform: uppercase;
  font-size: 13px !important;
  border: 2px solid var(--azzurroTRS) !important;
  border-radius: 5px !important;
  min-width: 120px;
  text-align: center;
  line-height: 1;
  padding: 8px 32px;
  background-color: var(--azzurroTRS) !important;
  margin-bottom: 0 !important;
}

button.btn.pulsanteAzione2:hover,
.btn.btn-default.pulsanteAzione2:hover,
button.btn.bs-deselect-all:hover,
button.btn.bs-select-all:hover {
  background-color: var(--bianco) !important;
  color: var(--grigio70) !important;
}

button.btn.bs-deselect-all,
button.btn.bs-select-all {
  margin: 2%;
  width: 48%;
}

.containerPulsanteSalva {
  background-color: transparent;
  border: none;
  padding: 0;
}

.campoForm input[type="radio"]:checked + label::before,
.campoForm input[type="radio"]:checked + label:after,
.campoForm input[type="checkbox"]:checked + label:after,
.campoForm .radio-primary input[type="radio"] + label::after,
.campoForm .radio label:before {
  border-color: #15a0fd !important;
}

.campoForm input[type="radio"]:checked + label:after,
.campoForm input[type="checkbox"]:checked + label:after,
.campoForm .radio-primary input[type="radio"] + label::after,
input[type="radio"]:checked+label:after, 
div > input[type="checkbox"]:checked+label:after, 
.radio-primary input[type=radio]+label::after {
  background-color: #15a0fd !important;
}

tr th:first-child input[type="checkbox"]:checked+label:after {
  color: var(--blu90) !important;
}

.campoForm .btn-default.dropdown-toggle,
.dataTables_length select,
.uneditable-input,
input[type=color],
input[type=date],
input[type=datetime-local],
input[type=datetime],
input[type=email],
input[type=file],
input[type=month],
input[type=number],
input[type=password],
input[type=search],
input[type=tel],
input[type=text],
input[type=time],
input[type=url],
input[type=week],
select.form-control,
textarea.form-control {
  background-color: transparent !important;
  border: 1px solid var(--grigio90) !important;
  border-radius: 0;
}

.campoForm .btn-default.dropdown-toggle:hover,
.btn-default.dropdown-toggle:hover,
.btn-default.dropdown-toggle,
.filter-option .filter-option-inner-inner {
  color: var(--grigio50);
}

.campoForm .btn-default.dropdown-toggle:focus,
.campoForm .btn-default.dropdown-toggle:active,
.campoForm .open .btn-default.dropdown-toggle {
  box-shadow: none;
  color: transparent;
}

.btn-default.dropdown-toggle:focus,
.btn-default.dropdown-toggle:active,
.open .btn-default.dropdown-toggle {
  box-shadow: none;
}

.campoForm .btn-default.dropdown-toggle div.filter-option,
#wrapper .bootstrap-select ul.dropdown-menu li a,
.bootstrap-select ul.dropdown-menu li a {
  color: var(--grigio50);
  font-size: 12px;
  font-weight: var(--regular);
}

#wrapper .bootstrap-select ul.dropdown-menu li.selected.active a,
.bootstrap-select ul.dropdown-menu li.selected.active a,
.dropdown-menu>li.active>a,
.dropdown-menu>li.active>a:focus,
.dropdown-menu>li.active>a:visited {
  background-color: var(--blu90);
  color: var(--bianco);
}

#wrapper .bootstrap-select ul.dropdown-menu li a:hover,
.bootstrap-select ul.dropdown-menu li a:hover,
.bootstrap-select .dropdown-menu>li:first-child:hover > a,
.dropdown-menu>li.active>a:hover,
.dropdown-menu>li>a:hover {
  background-color: var(--azzurroTRS) !important;
  color: var(--grigio50);
}

.campoForm .bs-searchbox input.form-control,
.bs-searchbox input.form-control {
  border-radius: 0px !important;
  border: 1px solid var(--grigio90) !important;
}

.bootstrap-select .dropdown-menu>li:first-child>a {
  background-color: transparent !important;
  color: var(--grigio50) !important;
}

.campoForm .input-group-btn:first-child > select + .btn {
  border-radius: 0px !important;
  box-shadow: none !important;
}

.campoForm .input-group-btn:last-child,
.campoForm .input-group-btn:last-child > a.btn {
  background-color: var(--blu90);
  border-radius: 0 5px 5px 0 !important;
}

.campoForm .input-group-btn:last-child > a.btn > i::before {
  color: var(--bianco) !important;
}

.checkbox-primary input[type=checkbox]:checked+label:after {
  background-color: var(--blu90) !important;
}

.input-group > .input-group-addon {
  background-color: var(--blu90);
}

.input-group.date > .input-group-addon > i {
  color: var(--bianco);
}

.fa-remove {
    color: var(--blu90);    
}

.form-control[disabled] {
  background-color: var(--azzurroTRS) !important;
}

/* SIDEBAR - ADMIN */
.admin #menu {
  box-shadow: 5px 0rem 2.1875rem rgb(4 9 20 / 10%);
}

.admin #menu #side-menu,
.admin #setup-menu-wrapper #setup-menu {
  background-image: none;
  background-color: var(--bianco);
  position: relative;
  padding: 40px 0;
}

.admin #menu #side-menu li:not(last-of-type) > a,
.admin #setup-menu-wrapper #setup-menu li:not(last-of-type) > a {
  border-radius: 0;
  padding: 8px 32px;
}

.admin #menu #side-menu li.active > a,
.admin #menu #side-menu > li > a:hover,
.admin #setup-menu-wrapper #setup-menu li.active > a,
.admin #setup-menu-wrapper #setup-menu > li > a:hover {
  background-color: var(--azzurroTRS) !important;
}

.admin #menu #side-menu li > a > span,
.admin #setup-menu-wrapper #setup-menu li > a > span {
  font-weight: var(--semiBold);
  color: var(--grigio50);
  text-transform: uppercase;
  font-size: 13px;
}

.admin #menu #side-menu li:last-of-type {
  position: absolute;
  bottom: 32px;
  width: 100%;
  text-align: center;
  background-color: var(--bianco);
}

#menu div#logo {
  display: inline-block;
}

.menu-item-dashboard a span {
  font-family: "Open Sans", sans-serif !important;
}

.admin #setup-menu-wrapper #setup-menu a.close-customizer {
  color: var(--blu90) !important;
}

.admin #setup-menu-wrapper #setup-menu a.close-customizer:hover {
  background-color: transparent !important;
  color: var(--blu60) !important;
}

/* ICONE SIDEBAR */
.sidebar li a i.menu-icon {
  width: 21px;
  font-size: 21px;
  opacity: 1;
}

.dashboardIcon {
  content: url(/assets/images/icone/dashboard.svg);
}

.clientiIcon {
  content: url(/assets/images/icone/clienti.svg);
}

.fornitoriIcon {
  content: url(/assets/images/icone/fornitori.svg);
}

.praticheIcon {
  content: url(/assets/images/icone/pratiche.svg);
}

.promemoriaIcon {
  content: url(/assets/images/icone/promemoria.svg);
}

.statisticheIcon {
  content: url(/assets/images/icone/statistiche.svg);
}

.impostazioniIcon {
  content: url(/assets/images/icone/impostazioni.svg);
}

.activityLogIcon {
  content: url(/assets/images/icone/activity-log.svg);
}

.categoriePraticheIcon {
  content: url(/assets/images/icone/categorie-pratiche.svg);
}

.gestioneStaffIcon {
  content: url(/assets/images/icone/gestione-staff.svg);
}

/* ICONE TABELLE */
.eliminaIcon {
  content: url(/assets/images/icone/elimina.svg);
  height: 14px;
  margin: 0 4px;
}

.modificaIcon {
  content: url(/assets/images/icone/modifica.svg);
  height: 14px;
  margin: 0 4px;
}

.downloadIcon {
  content: url(/assets/images/icone/download.svg);
  height: 14px;
  margin: 0 4px;
}

.esportaIcon {
  content: url(/assets/images/icone/esporta.svg);
  height: 14px;
  margin: 0 4px;
}

.filtriIcon {
  content: url(/assets/images/icone/filtri.svg);
  height: 19px;
  margin: 0 4px;
}

.cercaIcon {
  content: url(/assets/images/icone/cerca.svg);
  height: 19px;
  margin: 4px;
}

.svuotaIcon {
  content: url(/assets/images/icone/svuota.svg);
  height: 19px;
  margin: 4px;
}

.occhioIcon {
  content: url(/assets/images/icone/occhio.svg);
  height: 19px;
  margin: 4px;
}

.icon15Container {
  padding: 2px 8px;
}

.icon15 {
  height: 15px !important;
}

table.table-clients tbody > tr > td:last-of-type,
table.table-fornitori tbody > tr > td:last-of-type {
  /* position: absolute; */
  width: 45px;
  background-color: var(--bianco);
}

table.table-clients #th-azioni::after,
table.table-fornitori #th-azioni::after {
  display: none;
}

/* TOP BAR */
div.bar {
  background-color: var(--blu90);
}

div#header {
  background-color: transparent;
  border-bottom: none;
  z-index: 10000;
  height: 10vh;
  padding: 16px 0;

}

div#header > nav {
  position: absolute;
  width: calc(100vw - 270px);
  right: 0;
}

div#header .tw-justify-between {
  justify-content: end;
  align-items: center;
  width: 75vw;
  margin-left: auto;
  margin-right: auto;
}

div#header ul.nav {
  display: flex;
  flex-flow: row;
  align-items: center;
  margin-right: 16px;
}

div#header ul.nav li:first-of-type > span {
  font-size: 13px;
  font-weight: var(--bold);
  color: var(--grigio50);
  letter-spacing: 0.2px;
}

a.promemoriaIconTopBar {
  content: url(/assets/images/icone/promemoriaTopBar.svg);
  padding: 8px 0 !important;
  height: 49px !important;
}

ul.dropdown-menu>li>a {
  font-weight: var(--semiBold);
  color: var(--grigio50);
  text-transform: uppercase;
  font-size: 13px;
}

ul.dropdown-menu>li>a:focus,
ul.dropdown-menu>li>a:hover {
  background-color: var(--azzurroTRS);
}

/* DROPDOWN PROMEMORIA TOPBAR */
ul#dropdownPromemoria {
  margin-top: 0;
  padding-top: 0;
}

ul#dropdownPromemoria > li > a {
  padding: 16px;
}

ul#dropdownPromemoria > div.tw-text-center {
  background-color: transparent;
}

ul#dropdownPromemoria > li > a:hover {
  background-color: var(--azzurroTRS);
}

ul#dropdownPromemoria .contenutoPromemoriaTop {
  font-size: 13px;
  font-weight: var(--regular);
  color: var(--grigio50);
}

ul#dropdownPromemoria .scadenzaPromemoriaTop {
  font-size: 11px;
  text-transform: uppercase;
  color: var(--blu60);
  font-weight: var(--regular);
}

/* MAIN CONTENT AREA */
body.admin {
  background: url(/assets/themes/flat/images/bg-main30.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: bottom center;
  background-size: 100vw;
}

div#wrapper {
  background-image: none;
  box-shadow: none;
  padding-bottom: 40px;
  min-height: 100vh !important;
}

.content {
  padding: 0;
  width: 75vw;
  margin-left: auto;
  margin-right: auto;
}

div#wrapper > div.content > div.row {
  margin-top: 0 !important;
}

/* TESTI MAIN CONTENT */
.titoloPagina {
  text-transform: uppercase;
  color: var(--blu60);
  font-weight: var(--semiBold);
  font-size: 21px;
  margin-bottom: 0px !important;
  margin-top: 0px !important;
}

.titoloPannello {
  color: var(--blu60);
  font-size: 16px;
  font-weight: var(--semiBold);
  text-transform: none;
  position: static;
}

.miniTitolo {
  text-transform: uppercase;
  color: var(--blu60);
  font-weight: var(--semiBold);
  font-size: 13px;
  padding: 0 10px;
}

/* CONTENITORI MAIN AREA */
div.panel_s {
  background-color: transparent;
  margin-top: 0;
  box-shadow: none;
}

div.panel_s div.panel-body {
  background-color: transparent;
  padding: 0;
  box-shadow: none !important;
}

.row {
  margin-left: 0;
  margin-right: 0;
}

.pannelloSingolo {
  box-shadow: 0px 2px 30px 2px rgb(0 0 0 / 10%) !important;
  padding: 24px;
  border-radius: 5px;
  background-color: #fff;
  margin-bottom: 8px !important;
}

.containerTitoloPannello {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: 16px 0;
}

.containertitoloPagina {
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

/* MENU ORIZZONTALI */
.panel-full-width-tabs {
  margin: 0 !important;  
}

.menuHoriz {
  display: flex !important;
  display: -ms-flexbox;
  display: -webkit-flex;
  flex-flow: row;
  justify-content: space-evenly;
  margin-bottom: 0;
  box-shadow: none;
}

.menuHoriz span.badge {
  display: none;
}

ul.menuHoriz.nav > li > a {
  font-weight: var(--semiBold);
  color: var(--blu60);
  text-transform: uppercase;
  font-size: 13px;
  border: 2px solid var(--blu60) !important;
  border-radius: 5px;
  min-width: 120px;
  text-align: center;
  line-height: 1;
  padding: 8px 32px;
}

ul.menuHoriz.nav > li.active > a,
ul.menuHoriz.nav > li > a:hover {
  background-color: var(--blu60);
  color: var(--bianco);
  border-radius: 5px;
}

ul.menuHoriz > li > a > i {
  display: none;
}

ul.nav-tabs:not(.chat_nav).menuInternoTab {
  background-color: transparent;
  padding: 0;
  margin-top: 0 !important;
  margin-bottom: 40px !important;
}

ul.nav-tabs:not(.chat_nav).menuInternoTab li a {
  text-transform: uppercase;
  color: var(--blu60);
  background-color: transparent;
  border-radius: 5px;
  padding: 8px 16px;
  border: 2px solid var(--blu60) !important;
  margin: 2px 4px;
  font-weight: var(--semiBold);
  line-height: 13px;
  font-size: 12px;
}

ul.nav-tabs:not(.chat_nav).menuInternoTab li.active a,
ul.nav-tabs:not(.chat_nav).menuInternoTab li a:hover {
  text-transform: uppercase;
  color: var(--bianco);
  background-color: var(--blu60);
  border-radius: 5px;
  padding: 8px 16px;
  border: 2px solid var(--blu60) !important;
  margin: 2px 4px;
  font-weight: var(--semiBold);
  line-height: 13px;
  font-size: 12px;
}

ul.nav-tabs:not(.chat_nav).menuInternoTab li a .badge {
  display: none;
}

/* NUOVO CLIENTE / FORNITORE */
.nuovoCliente ul.menuInternoTab,
.nuovoFornitore ul.menuInternoTab {
  display: none !important;
}

label[for=inlineRadio1] {
  margin-right: 25px;
}

/* ASSEGNA STAFF */
.modal-body.modaleAssegnaStato {
  height:40vh ;
}

.modal-body.modaleAssegnaStato div.dropdown-menu.open {
  height: 30vh;
  overflow-y: scroll !important;
}

/* BARRA FILTRI / AZIONI TABELLE */
.dataTables_wrapper > div.row > div.col-md-7 {
  padding-left: 0;
}

.dataTables_wrapper > div.row > div.col-md-5 {
  padding-right: 0;
}

.dataTables_wrapper > div.row:nth-of-type(2) {
  border-bottom: 1px solid var(--grigio90);
  padding: 16px 8px;
  margin-bottom: 16px;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.dataTables_filter > label > div.input-group {
  border: 1px solid var(--grigio90);
  display: flex;
  align-items: center;
}

.dataTables_filter > label > div.input-group > span.input-group-addon {
  padding: 4px;
  border: none !important;
}

.dataTables_filter > label > div.input-group > input {
  border: none !important;
}

.dt-buttons.btn-group .btn-default-dt-options {
  line-height: 1;
}

.btn-dt-reload .fa-refresh:before {
  content: url(/assets/images/icone/svuota.svg);
  height: 15px;
  margin: 0 4px;
}

.dt-buttons.btn-group .btn-default-dt-options:first-of-type > span {
  content: url(/assets/images/icone/download.svg);
  height: 21px;
  margin: 0 4px;
}

.input-group-addon .fa-search:before {
  content: url(/assets/images/icone/cerca.svg);
  height: 15px;
  margin: 0 4px;
}

.tabellaListaClienti .dt-buttons.btn-group > .btn-default-dt-options:nth-of-type(2),
.tabellaListaPromemoria .dt-buttons.btn-group > .btn-default-dt-options:nth-of-type(2) {
  display: none;
}

div.dataTables_wrapper div.dataTables_length select.form-control {
  color: var(--grigio50) !important;
  font-size: 13px;
  line-height: 1;
  height: 35px;
}

/* TABELLE */
.panel-table-full .dataTables_wrapper div.table-responsive {
  margin-left: 0;
  margin-right: 0;
}

#wrapper thead > tr > th {
  text-transform: uppercase;
  color: var(--blu60) !important;
  font-size: 13px;
  font-weight: var(--semiBold);
  background-color: transparent !important;
  letter-spacing: 0.1px;
  text-align: left;
}

#wrapper th::after {
  color: #0a4f7d !important;
}

#wrapper tbody td,
#wrapper tbody td a {
  font-weight: var(--regular);
  color: var(--grigio50);
  font-size: 13px;
  letter-spacing: 0.1px;
  text-align: left;
}

td.dataTables_empty {
  background: url(/assets/images/table-no-data.png) center center / auto 161px no-repeat;
}
    

/* PAGINAZIONE */
div.dataTables_wrapper div.dataTables_info,
div.dataTables_wrapper div.dataTables_paginate,
.dataTables_empty {
  font-weight: var(--regular);
  color: var(--grigio50);
  font-size: 11px;
  text-transform: uppercase;
}

.pagination > li.paginate_button > a,
.pagination > li > a:focus {
  border: none;
  color: var(--grigio50);
  margin: 0 2px;
  background-color: transparent;
}

.pagination > li.active > a,
.pagination > li.active > a:focus {
  background-color: var(--blu90);
  border-radius: 5px !important;
  border: none;
  color: var(--bianco);
}

.pagination > li.paginate_button > a:hover,
.pagination > li.paginate_button.next > a:hover,
.pagination > li.paginate_button.previous > a:hover {
  background-color: var(--azzurroTRS);
  border-radius: 5px !important;
  border: none;
  color: var(--grigio50);
}

div.dt-page-jump {
  display: none;
}

/* CONTENITORE PROFILO TAB INTERNE */
.contenitoreProfilo {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  padding: 0;
}

.campoForm label {
  font-size: 12px !important;
  text-transform: uppercase;
  color: var(--blu60);
  font-weight: var(--semiBold);
  letter-spacing: 0.2px;
  margin-bottom: 4px;
}

div.campoForm input,
div.campoForm textarea {
  border-radius: 0px !important;
  border: 1px solid var(--grigio90) !important;
  box-shadow: none;
  font-size: 12px;
  font-weight: var(--regular);
  color: var(--grigio50);
}

.campoFormFull {
  width: 100%;
}

.campoFormHalf {
  width: 48%;
  padding: 0 2px;
}

/* CONTENITORE DATI PRATICHE */
.contenitoreDatiPratica {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
}

div.campoDati dt {
  font-size: 12px !important;
  text-transform: uppercase;
  color: var(--blu60);
  font-weight: var(--semiBold);
    letter-spacing: .2px;
  margin-bottom: 4px;
}

div.campoDati dd {
  /* border-radius: 0px !important;
    border: 1px solid var(--grigio90) !important;
    box-shadow: none; */
  font-size: 12px;
  font-weight: var(--regular);
  color: var(--grigio50);
}

div.campoDati dd > a {
  color: var(--blu90);
}

div.campoDati dd > a:hover {
  color: var(--blu60);
}

div.campoDatiFull {
  width: 100%;
}

div.campoDatiHalf {
  width: 48%;
  padding: 0 2px;
}

/* TABELLA PRATICHE ELENCO + CLIENTE SINGOLO */
body.pratiche div.table-responsive td:last-of-type,
body.pratiche #wrapper div.table-responsive thead > tr > th:last-of-type,
body.projects div.table-responsive td:last-of-type,
body.projects #wrapper div.table-responsive thead > tr > th:last-of-type,
body.customer-profile div.table-responsive table.table-projects-single-client td:last-of-type,
body.customer-profile #wrapper div.table-responsive table.table-projects-single-client thead > tr > th:last-of-type,
body.clients div.table-responsive td:last-of-type,
body.clients #wrapper div.table-responsive thead > tr > th:last-of-type {
  position: sticky;
  right: 0;
  background-color: #fff !important;
  /* box-shadow: 3px 25px 7px 9px rgb(0 0 0 / 10%) !important; */
  -webkit-box-shadow: -9px 0px 10px -6px rgba(0,0,0,0.1);
  -moz-box-shadow: -9px 0px 10px -6px rgba(0,0,0,0.1);
  box-shadow: -9px 0px 10px -6px rgba(0,0,0,0.1);
}

body.pratiche div.table-responsive,
body.projects div.table-responsive,
body.customer-profile div.table-responsive,
body.clients div.table-responsive {
  transform: rotateX(180deg);
  overflow-x: auto;
}

body.pratiche div.table-responsive::-webkit-scrollbar-thumb,
body.projects div.table-responsive::-webkit-scrollbar-thumb,
body.customer-profile div.table-responsive::-webkit-scrollbar-thumb,
body.clients div.table-responsive::-webkit-scrollbar-thumb {
  background-color: var(--blu90);
}

body.pratiche div.table-responsive::-webkit-scrollbar-track,
body.projects div.table-responsive::-webkit-scrollbar-track,
body.customer-profile div.table-responsive::-webkit-scrollbar-track,
body.clients div.table-responsive::-webkit-scrollbar-track {
  background-color: var(--azzurroTRS);
}

body.pratiche div.table-responsive > table,
body.projects div.table-responsive > table,
body.customer-profile div.table-responsive > table,
body.clients div.table-responsive > table {
  transform: rotateX(180deg);
  padding-top: 16px !important
}

.azioniContainerTab {
  display: flex;
  width: 60px;
  justify-content: center;
  align-items: center;
}

/* NOTE PRATICHE */
.contenitoreNote {
  margin: 32px 0;
}

.contenitoreElencoNote .form-inline > .row:nth-of-type(2) {
  display: none;
}

.contenitoreElencoNote thead {
  display: none;
}

.contenitoreElencoNote .table-project-discussions tbody > tr >td:last-of-type {
  display: none;
}

.container_notaDettagli {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
  margin-top: 8px;
}

.container_notaDettagli .nota_dettagli {
  font-weight: var(--regular);
  font-size: 12px;
  color: var(--blu90);
} 

.container_notaDettagli .nota_subject {
  font-weight: var(--regular);
  font-size: 12px;
  line-height: 13px;
  color: var(--grigio50);  
}

.popupNuovaNota .form-group > label {
  display: none;
}

/* PROMEMORIA IN PRATICHE */
.contenitorePulsantePromemoria {
  text-align: right;
}

/* POPUP */
body div.modal.fade.in {
  background-image: none;
  background-color: var(--grigio50TRS);
  backdrop-filter: blur(4px);
}

div.modal-header {
  background-image: none;
  background-color: var(--blu90);
}

.modal-title {
  color: var(--bianco);
  font-weight: var(--semiBold);
  font-size: 16px;
  text-transform: uppercase;
}

.popupSubtitle {
  color: var(--bianco);
  font-weight: var(--regular);
  font-size: 14px;
}


/* LOGIN ADMIN */
.logoSysmore {
  max-width: 200px;
  width: 100%;
}

.titoloLogin {
  text-align: center;
  margin-top: 16px !important;
}

.formLoginField input#email,
.formLoginField input#password,
.formLoginField input#passwordr {
  border-radius: 5px !important;
  background-color: #ffffff !important;
  border: 1px solid var(--grigio90) !important;
  color: var(--grigio50) !important;
  font-size: 13px !important;
  padding: 8px 16px !important;
}

div.formLoginField div.form-group label.control-label,
div.formLoginField > label.control-label {
  font-size: 12px !important;
  text-transform: uppercase;
  color: var(--blu60) !important;
  font-weight: var(--semiBold) !important;
  letter-spacing: 0.2px;
  margin-bottom: 4px;
  display: block;
  text-align: left;
}

.formLoginField a.recuperaPassword {
  color: var(--blu60) !important;
  font-size: 14px;
  text-transform: uppercase;
  letter-spacing: 0.2px;
  font-weight: var(--regular) !important;
}

.formLoginField a.recuperaPassword:hover {
  color: var(--blu90) !important;
}

/* ACTIVITY LOG */
.contenitoreFiltroData {
  padding: 0;
  /* border-bottom: 1px solid var(--grigio90); */
  margin-bottom: 16px;
}

.filtroData {
  padding: 0 8px;
  float: none;
  display: flex;
  flex-direction: row-reverse;
}

.filtroData div.form-group {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.filtroData div.form-group label {
  text-transform: uppercase;
  color: var(--blu60) !important;
  font-size: 13px;
  font-weight: var(--semiBold);
  background-color: transparent !important;
  letter-spacing: 0.1px;
  text-align: left;
  margin-right: 8px;
}

/* PAGINA STATISTICHE */
.containerFiltriStatistiche > form {
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  align-items: end;
  flex-wrap: wrap;
  padding: 0;
}

.gruppoFiltro {
  min-width: 180px;
  margin-top: 24px;
  margin-right: 8px;
}

.labelFiltro {
  text-transform: uppercase;
  color: var(--blu60) !important;
  font-size: 13px;
  line-height: 15px;
  font-weight: var(--semiBold);
  background-color: transparent !important;
  letter-spacing: 0.1px;
  text-align: left;
  margin-bottom: 8px;
}

/* FILTRO DATA */
.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_current, 
.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_default, 
.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box>div>div.xdsoft_current,
.input-group.date .input-group-addon {
  background-color: var(--blu90) !important;
}

/* CATEGORIE PRATICHE */
.tabellaCategoriePratiche .dataTables_wrapper .row:nth-of-type(2) {
  display: none;
}

.campoCategoriaPratiche label::after {
  content: '(inserire i valori separati da virgole)';
  text-transform: lowercase;
  margin: 0 8px;
  letter-spacing: normal;
  color: var(--grigio50);
  font-weight: var(--regular);
}

/* STATO PRATICHE */
body.pratiche.stato div.table-responsive td:last-of-type,
body.pratiche.stato #wrapper div.table-responsive thead > tr > th:last-of-type {
  position: static;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  width: 8%;
}

body.pratiche.stato .panel-table-full .dataTables_wrapper .table-responsive {
  border-bottom: none;
}

/* MODIFICA PROFILO PERSONALE */
body.edit_profile.staff .rigaTitolo {
  display: none;
}

.colonnaProfilo {
    padding-right: 16px;
    padding-left: 0;
    border-right: 1px solid var(--grigio90);
}

.colonnaPassword {
    padding-right: 0;
    padding-left: 16px;
}

/* DASHBOARD */
.containerPulsantiDashboard {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 0;
}

.contenitoreTabellaDashboard .dataTables_wrapper .row:nth-of-type(2),
.contenitoreTabellaDashboard .dataTables_wrapper .row:first-of-type,
.contenitoreTabellaDashboard .dataTables_wrapper .row:last-of-type{
  display: none;
}

/* STATISTICHE E RIEPILOGHI */
.contenitoreStatisticheDashboard,
.contenitoreStatisticheClienti,
.contenitoreStatistichePraticheClienti,
.contenitoreStatistiche {
  display: flex;
  flex-flow: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  margin: 16px 8px;
}

.contenitoreStatisticaSingola {
  text-align: center;
  margin: 16px;
}

.titoloStatistica {
  font-size: 11px;
  font-weight: var(--regular);
  text-transform: uppercase;
  margin: 0;
}

.numeroStatistica {
  font-size: 21px;
  font-weight: var(--bold);
  color: var(--grigio50);
  margin: 0;
}
.cerchioColore {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  margin-right: 8px;
}

.contenitoreTitoloColore {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

/* UPLOAD FILE */
.dropzone.dz-clickable .dz-message,
.dropzone.dz-clickable .dz-message * {
  color: var(--blu90);
}

.containerFilePratica .dt-buttons.btn-group {
  display: none;
}

.project-file-image,
.img-table-loading,
.mime-pdf {
  display: none;
}

/* GESTIONE STAFF */
a.show_password,
a.generate_password {
  color: var(--blu90);
}

a.show_password:hover,
a.generate_password:hover {
  color: var(--blu60);
}